Skip to navigation

Create Team Secret

Creates a new secret for the given agent.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Request

This endpoint expects an object.
addressstringRequired
Address of the agent associated with this secret.
namestringRequired

Identifier for the secret; must be a valid Python identifier.

secretstringRequired
Sensitive data to be stored securely.

Response

Successful Response
namestring
Name of the secret.
secretstring
Masked secret value.
timestampdatetime or nullOptional
Timestamp of creation.

Errors

422
Unprocessable Entity Error